EDIT - feature request #3472

Update name in source data when changing an accepted taxon into a synonym
05/08/2013 03:54 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 30%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.9

Severity: major

Description

name in source information is not always entered. DescriptionElementSources which are having an empty nameUsedInSource field
are considered to refer to the name of the accepted taxon. When changing an accepted taxon into a synonym all
DescriptionElementSources where nameUsedInSource == null should get updated with name of the the former accepted taxon.
affected methods:

e |TaxonService.swapSynonymWithAcceptedTaxon

¢ |ITaxonNodeService.makeTaxonNodeASynonymOfAnotherTaxonNode

e more ?
the same feature is also required when moving descriptions: #3982 (update name in source data when moving a Description to

another Taxon)

NOTE: This is a critical feature as it is maybe not wanted or creates incorrect data, please read comments on #3982 before
implementing

Alternatively we could ask the user to fill the namelnSource in case it is not yet filled

Related issues:
Related to EDIT - feature request #3982: Update name in source data when movi... New
Related to EDIT - feature request #8478: Follow up ticket for update empty na... New

Associated revisions

Revision d1d76¢46 - 08/15/2019 10:34 AM - Katja Luther

ref #3472: swap Synonym and accTaxon should move all taxon information to the new taxon

Revision 6c4f05ea - 08/15/2019 10:41 AM - Katja Luther

ref #3472: add namelnSource in makeTaxonNodeSynonym

Revision 743a64ea - 08/15/2019 01:57 PM - Katja Luther

ref #3472: make setting of name in source configurable

Revision fe8fa9b2 - 08/16/2019 09:01 AM - Katja Luther

ref #3472: fix set name in source

Revision 682f52a4 - 08/16/2019 09:37 AM - Katja Luther

ref #3472: adapt editor to changes in methods moving descriptions

Revision 962e47b4 - 08/23/2019 09:31 AM - Katja Luther
ref #3472: adapt labels for operation

History

#1 - 05/08/2013 04:57 PM - Andreas Miuller
https://dev.e-taxonomy.eu/redmine/issues/3982
https://dev.e-taxonomy.eu/redmine/issues/3982

Please have in mind that OriginalSourceBase also allows the String attribute originalNameString. This is a more generic field that does not only apply
for names. It is also possible that the original name is stored in this field. In E+M this may be the case as E+M in Berlin Model also allows foreign keys
as well as Strings for original name information.

#2 - 05/08/2013 05:01 PM - Andreas Miiller

Also we have to have in mind that missing original name information does not necessarily mean that the name used in the source is the one of the the
accepted taxon. It may also be left out or in the Berlin Model Editor when you moved a taxon you may have forgot to adapt the information
accordingly. In this case automatic addition of the name will lead to wrong data.

#3 - 10/11/2013 04:22 PM - Andreas Kohlbecker

adding a snipped from my notes just for not to lose it:

"this behaviour whether name in source is automatically filled or not, should be configurable in the dialogue : checkbox!"

#4 - 10/17/2013 03:35 PM - Andreas Miiller

- Severity changed from critical to major

#5 - 01/16/2014 03:33 PM - Andreas Kohlbecker
- Keywords set to Euro+Med,Migration

- Target version changed from Euro+Med Migration to cdmlib RELEASE 3.3.0

moving resolved tickets to release milestone

#6 - 01/21/2014 01:19 PM - Andreas Kohlbecker
- Target version changed from cdmlib RELEASE 3.3.0 to Euro+Med Migration

#7 - 09/13/2017 03:35 PM - Andreas Miiller

- Related to feature request #3982: Update name in source data when moving a Description to another Taxon added

#8 - 09/13/2017 03:37 PM - Andreas Miiller
- Description updated
- Priority changed from New to Priority13

- Private changed from Yes to No

#9 - 09/13/2017 03:37 PM - Andreas Miiller
- Tracker changed from bug to feature request

- Subject changed from update name in source data when changing an accepted taxon into a synonym to Update name in source data when changing
an accepted taxon into a synonym

#10 - 09/29/2018 09:13 AM - Andreas Miiller
- Priority changed from Priority13 to Priority10

#14 - 09/29/2018 11:53 AM - Andreas Miiller
- Description updated

- Target version changed from Euro+Med Migration to Euro+Med post migration

#15 - 06/03/2019 01:55 PM - Andreas Miiller
- Assignee changed from Andreas Muiller to Katja Luther
- Priority changed from Priority10 to Highest

- Target version changed from Euro+Med post migration to Euro+Med TaxEditor issues

We finally decided to implement it such for E+M, see comments in #3982

#16 - 08/16/2019 09:40 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller
this is implemented now.

The setting of the name in source is configurable, but in editor a new wizard would be needed, therefore the actual implementation works with two
menu items.
Please review and please have a look at the labels, | am not sure whether they are understandable or not.

#17 - 08/16/2019 12:28 PM - Andreas Miiller

- Target version changed from Euro+Med TaxEditor issues to Release 5.9

#18 - 08/16/2019 09:37 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Currently both methods do end in an unexpected state. After running the operation the old taxon is dirty (and unsaved) and the new taxon does not
yet contain the new data. Only by saving the old taxon this seems to happen.

| don't know if this is related to this ticket but it should be fixed urgently (to me seems to be a regression).

#19 - 08/16/2019 09:38 PM - Andreas Miiller

The method with setting the name should be moved down in menu

#20 - 08/16/2019 09:44 PM - Andreas Miiller
- % Done changed from 0 to 30

Please open a new ticket for the final implementation with a new wizard including the question if the name in sources should be taken from the
accepted taxon if being empty and removing the second label.

#21 - 08/16/2019 09:51 PM - Andreas Miiller

The labels of the 2 menus should be equal except for the addition about the Name in Source. Is there a reason why you use selected facts once and
only fact(s) other time? Use the shorter as "selected" is not necessary.
This is correct for Descriptions but not for DescriptionELements.

"... Other Taxon ..." => "other taxon" for all 4 menu entries.

"... and set Name in Source" => "... and set Name in Source if empty" (for the 2 menu entries)

#22 - 08/16/2019 09:55 PM - Andreas Miiller
Andreas Muller wrote:

Please open a new ticket for the final implementation with a new wizard including the question if the name in sources should be taken from the
accepted taxon if being empty and removing the second label.

What about checking all elements to move (including the description itself?) if they have sources with empty name in source. If yes have a dialog and
ask if the empty name in sources should be set to old accepted taxon automatically and allow yes, no, cancel. Only then open the ordinary
dialog/assistant.

Maybe only check sources of type primaryXXX, no import sources.

#23 - 08/19/2019 09:40 AM - Katja Luther

Andreas Muller wrote:

Currently both methods do end in an unexpected state. After running the operation the old taxon is dirty (and unsaved) and the new taxon does
not yet contain the new data. Only by saving the old taxon this seems to happen.

| don't know if this is related to this ticket but it should be fixed urgently (to me seems to be a regression).

But this was a requirement we fixed a few weeks ago. The moving should be done after saving.(#8234)

#24 - 08/19/2019 10:16 AM - Andreas Miiller

Ok, in generall this probably makes sense. Maybe | just wasn't used to it yet.

However, if this is the expected behavior | do not understand why | get a warning that my taxon is not saved and it will be saved if | proceed with the
command. | would expect this is not necessary at all for the old taxon and only necessary for the new taxon (and probably only for the save action and
not yet during the move action)
#25 - 08/19/2019 02:33 PM - Katja Luther

- Related to feature request #8478: Follow up ticket for update empty name in source handling in TaxEditor added

#26 - 08/23/2019 09:31 AM - Katja Luther
- Status changed from Feedback to Closed

the new ticket is #8478 and the labels are adapted.
